Package com.orchestranetworks.search.template

# Class SearchTemplateKey

java.lang.Object
com.orchestranetworks.search.template.SearchTemplateKey

public final class SearchTemplateKey extends Object
Identifies a search template.

Since:
  6.0.0
See Also:
  - `SearchTemplate`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `format()`
  Returns a persistent identifier for this service key.
  `static SearchTemplateKey`
  `forModuleSearchTemplateName(String aModuleName, String aSearchTemplateName)`
  `String`
  `getModuleName()`
  `String`
  `getName()`
  Returns the full name of the search template.
  `String`
  `getSearchTemplateName()`
  Returns the local name of the search template by removing the prefix and including the '@' character.
  `int`
  `hashCode()`
  `boolean`
  `isBuiltInTemplate()`
  Returns `true` if this instance identifies a built-in template.
  `static SearchTemplateKey`
  `parse(String aString)`
  Returns the template key that corresponds to the specified string.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### parse

    public static SearchTemplateKey parse(String aString)
    Returns the template key that corresponds to the specified string.

    The specified string is generally generated by the method `format()`.

    Throws:
      `IllegalArgumentException` - if the specified string does not match the regular expression `([-\\d\\pL:_.]*)@?(%?[-\\d\\pL:_. /]+)`.

  - ### forModuleSearchTemplateName

    public static SearchTemplateKey forModuleSearchTemplateName(String aModuleName, String aSearchTemplateName)

  - ### getModuleName

    public String getModuleName()

  - ### getSearchTemplateName

    public String getSearchTemplateName()
    Returns the local name of the search template by removing the prefix and including the '@' character.

  - ### getName

    public String getName()
    Returns the full name of the search template.

  - ### isBuiltInTemplate

    public boolean isBuiltInTemplate()
    Returns `true` if this instance identifies a built-in template.

  - ### format

    public String format()
    Returns a persistent identifier for this service key.

    The search template key can be re-obtained by parsing this persistent identifier using the method `parse(String)`.

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`